#!/bin/sh

[ -n "$*" ] || exit

artsdsp=artsdsp
pulseaudio=pulseaudio
padsp=padsp
esddsp=esddsp

if pidof -s artsd >/dev/null; then
	exec $artsdsp "$@"
elif $pulseaudio --check 2>/dev/null; then
	exec $padsp "$@"
elif [ -S /tmp/.esd-${UID}/socket ]; then
	exec $esddsp "$@"
elif [ -e /proc/asound/card0/id ]; then
	echo "${0##*/}: Executing \"$*\" via aoss" >&2
	exec aoss "$@"
else
	echo "${0##*/}: Executing \"$*\" without audio wrapper" >&2
	exec "$@"
fi
